English

Error: The Append, Delete Rows, and Delete Features tools no longer operate with versioned datasets

Error Message

When using the Append, Delete Rows, and Delete Features geoprocessing tools against versioned datasets, one of the following error messages is returned:

"This operation may not be completed on versioned data"

"The object could not be edited in the current editing mode"

"This operation is not allowed while editing"

Cause

This is a known issue with versions 9.3 and 9.3.1 that has been addressed with the software patch or service pack mentioned below.

Solution or Workaround

Version 9.3

This issue is addressed in ArcGIS 9.3 Service Pack 1.

Version 9.3.1

This issue is addressed in the ArcGIS 9.3.1 - Using Geoprocessing tools with Versioned Data Patch. This patch is also included in later 9.3.1 Service Packs for the version 9.3.1 release.

Please see the Related Information section for links to the patch and service pack downloads mentioned above.

    Related Information